package com.hp.user.client.entity;

import java.util.Date;

/**
 * <p>
 * 企业/公司
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

public class CustomerCompanyVO {
    /**
     * 客户Id
     */
    private String customerId;
    /**
     * 企业名称
     */
    private String name;
    /**
     * 企业类型；0服务商，1一般企业
     */
    private Short type;
    /**
     * 所属行业编码
     */
    private Short industryCode;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 地址
     */
    private String address;
    /**
     * 省份编码
     */
    private String provinceCode;
    /**
     * 城市编码
     */
    private String cityCode;
    /**
     * 区县编码
     */
    private String countCode;
    /**
     * 企业税号
     */
    private String enterpriseTaxNumber;
    /**
     * 营业执照
     */
    private String businessLicense;
    /**
     * 企业联系人
     */
    private String businessContact;
    /**
     * 手机号
     */
    private String phoneNumber;
    /**
     * 是否被删除 0:正常；1:被删除
     */
    private Short sysDeleted;
    /**
     * 创建时间
     */
    private Date sysCreateTime;
    /**
     * 创建用户Id
     */
    private String sysCreator;
    /**
     * 更新时间
     */
    private Date sysUpdateTime;
    /**
     * 更新用户Id
     */
    private String sysUpdater;
    /**
     * 审核状态；1待审核；2审核通过；3审核未通过
     */
    private Short status;

    public CustomerCompanyVO(){}

    public CustomerCompanyVO(String customerId, String name, Short type, Short industryCode, String longitude, String latitude, String address, String provinceCode, String cityCode, String countCode, String enterpriseTaxNumber, String businessLicense, String businessContact, String phoneNumber, Short sysDeleted, Date sysCreateTime, String sysCreator, Date sysUpdateTime, String sysUpdater, Short status) {
        this.customerId = customerId;
        this.name = name;
        this.type = type;
        this.industryCode = industryCode;
        this.longitude = longitude;
        this.latitude = latitude;
        this.address = address;
        this.provinceCode = provinceCode;
        this.cityCode = cityCode;
        this.countCode = countCode;
        this.enterpriseTaxNumber = enterpriseTaxNumber;
        this.businessLicense = businessLicense;
        this.businessContact = businessContact;
        this.phoneNumber = phoneNumber;
        this.sysDeleted = sysDeleted;
        this.sysCreateTime = sysCreateTime;
        this.sysCreator = sysCreator;
        this.sysUpdateTime = sysUpdateTime;
        this.sysUpdater = sysUpdater;
        this.status = status;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Short getType() {
        return type;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public Short getIndustryCode() {
        return industryCode;
    }

    public void setIndustryCode(Short industryCode) {
        this.industryCode = industryCode;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCountCode() {
        return countCode;
    }

    public void setCountCode(String countCode) {
        this.countCode = countCode;
    }

    public String getEnterpriseTaxNumber() {
        return enterpriseTaxNumber;
    }

    public void setEnterpriseTaxNumber(String enterpriseTaxNumber) {
        this.enterpriseTaxNumber = enterpriseTaxNumber;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getBusinessContact() {
        return businessContact;
    }

    public void setBusinessContact(String businessContact) {
        this.businessContact = businessContact;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Short getSysDeleted() {
        return sysDeleted;
    }

    public void setSysDeleted(Short sysDeleted) {
        this.sysDeleted = sysDeleted;
    }

    public Date getSysCreateTime() {
        return sysCreateTime;
    }

    public void setSysCreateTime(Date sysCreateTime) {
        this.sysCreateTime = sysCreateTime;
    }

    public String getSysCreator() {
        return sysCreator;
    }

    public void setSysCreator(String sysCreator) {
        this.sysCreator = sysCreator;
    }

    public Date getSysUpdateTime() {
        return sysUpdateTime;
    }

    public void setSysUpdateTime(Date sysUpdateTime) {
        this.sysUpdateTime = sysUpdateTime;
    }

    public String getSysUpdater() {
        return sysUpdater;
    }

    public void setSysUpdater(String sysUpdater) {
        this.sysUpdater = sysUpdater;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }
}
